# Bibliothèque de Gestion de Tâches

Une bibliothèque Python pour la gestion efficace des tâches, des projets et des ressources.

## Table des matières

- [Bibliothèque de Gestion de Tâches](#bibliothèque-de-gestion-de-tâches)
  - [Table des matières](#table-des-matières)
  - [Description du projet](#description-du-projet)
  - [Installation](#installation)
  - [Utilisation](#utilisation)
  - [Documentation](#documentation)
  - [Contributions](#contributions)
  - [Auteurs](#auteurs)


## Description du projet

Créez une application de gestion de tâches en utilisant Python.

L'application doit permettre à l'utilisateur de :
- Ajouter une nouvelle tâche à la liste avec à minima un nom et une description
- Marquer une tâche comme terminée.
- Supprimer une tâche de la liste.
- Afficher la liste des tâches en cours.

## Installation

Pour installer cette bibliothèque, suivez ces étapes :

1. Clonez le dépôt depuis GitHub.
2. Naviguez vers le répertoire du projet : `cd nom-du-repertoire-du-projet`
3. Créez un environnement virtuel avec la commande : `python3 -m venv venv`
4. Activez votre environnement avec la commande : `source venv/bin/activate`
5. Installez les dépendances en exécutant la commande suivante : `pip install -r requirements.txt`


## Utilisation

Pour lancer l'application, exécutez la commande suivante :

```bash
python -m tasks.main
```

Vous pourrez utiliser les fonctionnalités de gestion de tâches via le menu.


## Documentation

Pour ouvrir la documentation, exécutez la commande suivante :

```bash
open docs/_build/html/index.html
```

## Contributions

Les contributions sont les bienvenues ! Pour contribuer à ce projet, suivez ces étapes :

1. Fork le projet.
2. Créez une branche pour votre fonctionnalité (git checkout -b ma-nouvelle-fonctionnalite).
3. Commit et poussez vos modifications (git commit -m 'Ajout de ma nouvelle fonctionnalité').
4. Créez une demande d'extraction.

## Auteurs

- Alban Pereira - alban.pereira@telecom-paris.fr
- Yuchen Xia - yuchen.xia@telecom-paris.fr
- Aurélien Raulo - aurelien.raulo@telecom-paris.fr
- Salimatou Traore - salimatou.traore@telecom-paris.fr